from typing import Protocol


class BigdataConnectionProtocol(Protocol):
    """Used to have typing in Watchlist avoiding a circular dependency with BigdataConnection"""

    def get_single_watchlist(self, id_): ...

    def create_watchlist(self, request): ...

    def patch_watchlist(self, id_, request): ...

    def delete_watchlist(self, id_): ...

    def get_all_watchlists(self): ...

    def autosuggest(self, items, limit): ...

    def by_ids(self, request): ...
